Bug 1875194 - Failing test: [sig-cli] Kubectl client Kubectl diff [It] should check if kubectl diff finds a difference for Deployments
Summary: Failing test: [sig-cli] Kubectl client Kubectl diff [It] should check if kube...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Maciej Szulik
QA Contact: zhou ying
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-03 01:41 UTC by Maru Newby
Modified: 2020-09-18 10:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1880363 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift kubernetes pull 334 None closed Bug 1875194: UPSTREAM: 94609: Use namespace flag passed to RunKubectl* methods 2020-09-18 10:46:09 UTC

Description Maru Newby 2020-09-03 01:41:41 UTC
The test with the following label has been failing consistently since the 1.19.0-rc.2 rebase:

[sig-cli] Kubectl client Kubectl diff [It] should check if kubectl diff finds a difference for Deployments

It is still failing as of the 1.19.0 rebase:

https://storage.googleapis.com/origin-ci-test/pr-logs/pull/openshift_kubernetes/325/pull-ci-openshift-kubernetes-master-k8s-e2e-gcp/1301292731582124032/build-log.txt

The test has been skipped via test annotation and will need to be re-enabled once it is capable of passing.

Comment 1 Maciej Szulik 2020-09-03 08:39:53 UTC
There's a bug in the test that it does not passes nsFlag like other tests, so that should solve this particular problem right away.

The biggest issue, though, is that you have to pass both ns and nsFlag - that's insane!

Comment 2 Maciej Szulik 2020-09-11 11:39:22 UTC
PR in the queue.

Comment 4 Maciej Szulik 2020-09-15 10:07:07 UTC
I think this also requires https://github.com/openshift/origin/pull/25495 to land, moving back to post.

Comment 5 Maciej Szulik 2020-09-17 10:24:22 UTC
This merged, moving to qa.

Comment 7 zhou ying 2020-09-18 10:54:35 UTC
Checked from https://search.ci.openshift.org/, can't reproduce the issue now . Will move to verified status.


Note You need to log in before you can comment on or make changes to this bug.